Bug 43119 - unable to alias loopback device
unable to alias loopback device
Status: CLOSED CANTFIX
Product: Red Hat Linux
Classification: Retired
Component: netcfg (Show other bugs)
7.1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Nalin Dahyabhai
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-05-31 20:18 EDT by pc-redhat
Modified: 2007-04-18 12:33 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-18 10:13:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description pc-redhat 2001-05-31 20:18:09 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.77 [en] (X11; U; Linux 2.4.5-ac4 i686; Nav)

Description of problem:
I can add aliases to eth0, but not to lo.  I'm running netcfg-2.36-3 with a
RedHat 7.1 installation and a custom 2.4.5-ac4 kernel.

If I create an alias on eth0 with netcfg, I can then rename and edit the
appropriate file ( /etc/sysconfig/network-scripts/ifcfg-eth0:0 ), then it
works just fine.  I can then use netcfg to activate or deactivate the alias
as expected.  The only problem is that it won't create the alias in the
first place.

How reproducible:
Always

Steps to Reproduce:
1. Run 'netcfg' as root.
2. Select "Interfaces."
3. select the "lo" interface.
4. Press the "Alias" button.
If nothing happens:
5. Select the "eth0" interface.
6. Press the "Alias" button.
7. Note what happens--it should do the same for "lo."

Additional info:
Comment 2 Bill Nottingham 2006-08-07 13:11:30 EDT
Red Hat Linux is no longer supported by Red Hat, Inc. If you are still
running Red Hat Linux, you are strongly advised to upgrade to a
current Fedora Core release or Red Hat Enterprise Linux or comparable.
Some information on which option may be right for you is available at
http://www.redhat.com/rhel/migrate/redhatlinux/.

Red Hat apologizes that these issues have not been resolved yet. We do
want to make sure that no important bugs slip through the cracks.
Please check if this issue is still present in a current Fedora Core
release. If so, please change the product and version to match, and
check the box indicating that the requested information has been
provided. Note that any bug still open against Red Hat Linux on will be
closed as 'CANTFIX' on September 30, 2006. Thanks again for your help.
Comment 3 Bill Nottingham 2006-10-18 10:13:55 EDT
Red Hat Linux is no longer supported by Red Hat, Inc. If you are still
running Red Hat Linux, you are strongly advised to upgrade to a
current Fedora Core release or Red Hat Enterprise Linux or comparable.
Some information on which option may be right for you is available at
http://www.redhat.com/rhel/migrate/redhatlinux/.

Closing as CANTFIX.

Note You need to log in before you can comment on or make changes to this bug.